## kdesdk 4.4.5

=== kcachegrind/cgview/CMakeLists.txt ===
include_directories(../libcore)
add_executable(cgview main.cpp)

target_link_libraries(cgview core ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})

# do not install example code...
# install(TARGETS cgview ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kdesdk (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update email address
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 10:40:07 +0200

kdesdk (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:19 +0300

kdesdk (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Ferdinand Thommes ]
  * fixed copyright file

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:57 +0300

kdesdk (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - Kate now always uses the encoding specified in the File Open dialog.
      (Closes: #316258)
    - KCacheGrind now displays an error message when failing to open a file.
      (Closes: #497852)

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Build depend on shared-mime-info (>= 0.30).

  [ Pino Toscano ]
  * svn does not exist while subversion does, so adjust kdesdk-scripts
    recommend. (Closes: #554009)
  * Add brief descriptions of the conversion scripts provided in
    kcachegrind-converters. (Closes: #403608)
  * kdesdk-kio-plugins contains also the perldoc kioslave, so add that in the
    description and suggest perl-doc.
  * Add dependency on ${misc:Depends} in all the packages.
  * Do not install the .so symlink of our antlr copy.

  [ Sune Vuorela ]
  * Install the kde gdb macros as a example
  * Install the kde vim scripts as a example
  * Update install files
  * Lokalize needs hunspell
  * Remove kdesdk-dev. It is not used and we aren't actually handling the
    libraries as we should.
  * Don't ship dev stuff in kmtrace package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:15 +0300

kdesdk (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Updated build dep's version numbers in debian/control
  * Readded missing man pages (Closes: #530390)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:12 +0200

kdesdk (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Oct 2009 21:40:23 +0200

kdesdk (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump KDE build dependencies to 4.3.1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 31 Aug 2009 09:22:07 +0200

kdesdk (4:4.3.0-3) unstable; urgency=low

  +++ Changes by Pino Toscano:

  * Add patch 03_kmtrace_compile.diff to compile kmtrace on kFreeBSD and Hurd,
    as they are using glibc. Patch by Petr Salinger (slightly edited by me for
    better accommodate Hurd), thanks! (Closes: #542749)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump Standard-Version from 3.8.2 to 3.8.3 (no changes needed).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Aug 2009 13:44:05 +0200

kdesdk (4:4.3.0-2) unstable; urgency=low

  * Add conflicts and replaces with libcvsservice0 to cvsservice.

 -- Armin Berres <armin+debian@space-based.de>  Wed, 05 Aug 2009 13:48:22 +0200

kdesdk (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update installed files.
  * Bump build dependencies to >= 4.3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:21:12 +0200

kdesdk (4:4.2.96-3) experimental; urgency=low

  * Install missing kompareinterface.h.
  * Bump Standard-Version from 3.8.0 to 3.8.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Jul 2009 10:11:25 +0200

kdesdk (4:4.2.96-2) experimental; urgency=low

  * Bump build-deps; (Closes: #536829)

 -- Sune Vuorela <debian@pusling.com>  Mon, 13 Jul 2009 13:36:34 +0200

kdesdk (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate. (Closes: #532716)

  +++ Changes by Pino Toscano:

  * Add cvsservice as dependency for cervisia, otherwise cervisia is basically
    useless. (Closes: #532004)

  +++ Changes by Nick Shaforostoff:

  * Update lokalize dependencies for KDE 4.3
  * Make lokalize hard-depend on kdesdk-strigi-plugins because it is needed for most use cases and is of low install size
  * Update lokalize description. (Closes: #536216)
  * Update lokalize filelist based on latest SVN (4.3 branch)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 10 Jul 2009 10:24:23 +0200

kdesdk (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Fix sections.
  * Fix strigi plugin description. (Closes: #524792)
  * Make lokalize recommend python-kde4. (Closes: #524793)

  +++ Changes by Fathi Boudra:



=== debian/control ===
Source: kdesdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdepimlibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3.1),
 libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost-dev,
 binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
 shared-mime-info (>= 0.30)
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdesdk/#_trunk_packages_kdesdk_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdesdk

Package: kdesdk
Architecture: all
Section: kde
Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
 kate (>= ${source:Version}), kbugbuster (>= ${source:Version}),
 kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
 kdesdk-misc (>= ${source:Version}), kdesdk-scripts (>= ${source:Version}),
 kdesdk-strigi-plugins (>= ${source:Version}), kompare (>= ${source:Version}),
 kuiviewer (>= ${source:Version}), lokalize (>= ${source:Version}),
 poxml (>= ${source:Version}), umbrello (>= ${source:Version}),
 kpartloader (>= ${source:Version}), kmtrace (>= ${source:Version})
Suggests: kcachegrind-converters (>= ${source:Version})
Description: Software Development Kit from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes software development applications provided with the
 official release of KDE.

Package: cervisia
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, cvsservice
Suggests: khelpcenter4
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.1.80)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the 
 KDE development platform.
 .
 It generates the build-system  configuration and provides example code 
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

Package: kate
Section: editors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: aspell | ispell | hspell, khelpcenter4, konsole
Description: K Advanced Text Editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation
 .
 This package is part of the KDE Software Development Kit module.

Package: kbugbuster
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: Bugzilla client 
 KBugBuster is a client for the Bugzilla bug tracking system.
 It provides a variety of tools for querying, viewing, and manipulating bug
 reports.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind, graphviz
Suggests: kcachegrind-converters, khelpcenter4
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, php5-cli, python
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
  * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
  * pprof2calltree: converts the pprof output from APD 
  * memprof2calltree: converts the memory profiles of memprof
  * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev, gimp, inkscape, xpaint
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - a KDE address book resource for KDE Subversion repository accounts
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python
Recommends: subversion, gawk, optipng, advancecomp
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
 .
 This package is part of the KDE Software Development Kit module.

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Replaces: kdesdk-scripts (= 4:4.2.0-1)
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

Package: kompare
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Replaces: libcvsservice0 (<<4:4.0.0)
Description: file difference viewer 
 Kompare is displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: ${shlibs:Depends}, ${misc:Depends}, cvs
Replaces: libcvsservice0
Conflicts: libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdesdk-scripts (= 4:4.2.0-1)
Description: tools for translating DocBook XML files with gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using gettext message files (PO-files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO-files and PO-template files.
 .
 This package is part of the KDE Software Development Kit module.

Package: umbrello
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

Package: lokalize
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, kdesdk-strigi-plugins
Recommends: krosspython, python-kde4, gettext, translate-toolkit (>= 1.3.0), python-lxml, python-dbus, subversion
Suggests: khelpcenter4, poxml
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity 
 and quality assurance. It has components usual for CAT tools: translation

## kdesdk 4.5.1

=== debian/changelog ===
kdesdk (4:4.5.1-0ubuntu3) maverick; urgency=low

  * Add build-dep on antlr, LP: #643198
  * Suggest optipng, advancecomp instead of recommend, they are in universe, LP: #641356

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Sep 2010 12:10:09 +0100

kdesdk (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Add back poxml package, less antlr libraries, LP: #643198

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Sep 2010 00:31:44 +0100

kdesdk (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update install files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 Aug 2010 19:04:10 +0200

kdesdk (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:03 +0100

kdesdk (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends
    - Updated install files

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 01:23:28 +0200

kdesdk (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest
    - Refresh patches
    - Update install files
    - Update not-installed

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 06:17:28 +0200

kdesdk (4:4.4.90-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream rc release
    - Bump kde-sc-dev-latest
    - Removed 03_kmtrace_compile.diff fixed by upstream
    - Add libantlr-dev to build-depends (optional dependency,
      used for the po2xml and swappo tools)

  [ Harald Sitter ]
  * -dbg replaces&conflicts kdebase-dbg << 4.4.80 since the VCS plugins got
     moved around inbetween 4.4 and 4.5 (LP: #588775)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 20 Jun 2010 00:22:35 +0200

kdesdk (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 07 Jun 2010 20:04:32 +0200

kdesdk (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Add build-dep on libkonq5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 22:25:02 +0100

kdesdk (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Don't build poxml, needs antlr files which don't seem to be in our archive

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 May 2010 12:33:13 +0000

kdesdk (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build dep on libboost1.42-dev
    - kdesdk-dbg depends on kdesdk, not suggests\
    - Keep the Kubuntu docpath (/usr/share/doc/kde)
    - Don't install the following in kdesdk-scripts:
      + extractattr
      + extractrc
    - Keep kubuntu_01_kate_desktop.patch

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 08:13:59 +0200

kdesdk (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 03 May 2010 20:11:55 +0200

kdesdk (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Update kubuntu_03_optimizegraphics.diff to also check for optipng
  * move optipng from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 17:22:32 +0100

kdesdk (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Add kubuntu_03_optimizegraphics.diff to prompt for installing
    advancecomp when not installed
  * Move advancecomp from Recommends to Suggests, closes LP: #563769

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 15:23:24 +0100

kdesdk (4:4.4.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - Bump build-depends
    - Update kate.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 20:57:08 +0100

kdesdk (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Update kate.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 04:52:58 +0100

kdesdk (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build dep versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 20:17:18 +0100

kdesdk (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 23:50:33 +0100

kdesdk (4:4.3.95-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-deps

  [ Jonathan Thomas ]
  * Make kdesdk-scripts recommend subversion rather than svn (LP: #483602)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 14:52:16 +0100

kdesdk (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Refresh all patches
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 19:39:54 -0500

kdesdk (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Refresh all patches
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 23:46:24 -0500

kdesdk (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Re-pack source (gzip)
    - Bump build-deps
    - Add libx11-dev, libhunspell-dev
  * Update install files
    - kate.install
    - kdesdk-dev.install
    - kdesdk-scripts.install
    - kmtrace.install
    - kompare.install
    - lokalize.install
    - poxml.install
  * Refresh patches
    - kubuntu_01_kate_desktop.patch
  * Remove patches
    - kubuntu_02_abort2cancel.diff - fixed upstream

 -- Roderick B. Greening <roderick.greening@gmail.com>  Wed, 02 Dec 2009 16:31:01 -0330

kdesdk (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Merged with Debian, remaining changes:
    - Keep Ubuntu-specific dep on libboost1.38-dev
    - Keep -kde4 conflicts/replaces
    - kdesdk-dbg depends on kdesdk, not suggests


=== debian/control ===
Source: kdesdk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdepimlibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.1),
 libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.42-dev,
 binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
 shared-mime-info (>= 0.30), libkonq5-dev, libantlr-dev, antlr
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdesdk/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdesdk/ubuntu

Package: kdesdk
Architecture: all
Section: kde
Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
 kate (>= ${source:Version}), kbugbuster (>= ${source:Version}),
 kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
 kdesdk-misc (>= ${source:Version}), kdesdk-scripts (>= ${source:Version}),
 kdesdk-strigi-plugins (>= ${source:Version}), kompare (>= ${source:Version}),
 kuiviewer (>= ${source:Version}), lokalize (>= ${source:Version}),
 umbrello (>= ${source:Version}),
 kpartloader (>= ${source:Version}), kmtrace (>= ${source:Version})
Suggests: kcachegrind-converters (>= ${source:Version})
Description: Software Development Kit from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes software development applications provided with the
 official release of KDE 4.

Package: cervisia
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, cvsservice 
Suggests: khelpcenter4
Description: CVS client for KDE 4
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
Replaces: dolphin (<< 4:4.4.80)
Description: Git and Subversion plugins for Dolphin
 Adds Git and SVN functions to Dolphin file manager.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.1.80)
Description: KDE 4 application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of KDE application.  It generates the build-system
 configuration and provides example code for a simple application.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kate
Section: editors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: aspell | ispell | hspell, khelpcenter4, konsole
Description: KDE 4 Advanced Text Editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kbugbuster
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: Bugzilla client for KDE 4
 KBugBuster is a client for the Bugzilla bug tracking system.
 It provides a variety of tools for querying, viewing, and manipulating bug
 reports.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind, graphviz
Suggests: kcachegrind-converters, khelpcenter4
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, php5-cli, python
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
  * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
  * pprof2calltree: converts the pprof output from APD
  * memprof2calltree: converts the memory profiles of memprof
  * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE 4
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev, gimp, inkscape, xpaint
Description: miscellaneous tools from the KDE 4 Software Development Kit
 This package contains additional tools to aid in development for KDE 4.
 .
 Included are:
  - headers to assist with profiling KDE code
  - a KDE address book resource for KDE Subversion repository accounts
  - kstartperf to measure startup time
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python
Recommends: subversion, gawk
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc, optipng, advancecomp
Enhances: kate
Description: scripts and data files for KDE 4 development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt/KDE programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Replaces: kdesdk-scripts (= 4:4.2.0-1)
Description: memory leak tracer for KDE 4
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kompare
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Replaces: libcvsservice0 (<<4:4.0.0)
Description: file difference viewer for KDE 4
 Kompare is displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: ${shlibs:Depends}, ${misc:Depends}, cvs
Replaces: libcvsservice0
Conflicts: libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdesdk-scripts (= 4:4.2.0-1)
Description: tools for translating DocBook XML files with gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using gettext message files (PO-files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO-files and PO-template files.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: umbrello
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE 4 Software Development Kit module.

Package: lokalize
Architecture: any

## kdesdk 4.5.5

=== debian/changelog ===
kdesdk (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 02:50:44 -0400

kdesdk (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:36:46 -0700

kdesdk (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build
  * kbugbuster busted

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 14:31:07 +0000

kdesdk (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 19:16:10 +0000

kdesdk (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:24:10 +0000

kdesdk (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:23:42 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Section: kde
 Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
- kate (>= ${source:Version}), kbugbuster (>= ${source:Version}),
+ kate (>= ${source:Version}),
  kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
  kdesdk-misc (>= ${source:Version}), kdesdk-scripts (>= ${source:Version}),
  kdesdk-strigi-plugins (>= ${source:Version}), kompare (>= ${source:Version}),
@@ -98,17 +98,17 @@
  .
  This package is part of the KDE 4 Software Development Kit module.
 
-Package: kbugbuster
-Architecture: any
-Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: khelpcenter4
-Description: Bugzilla client for KDE 4
- KBugBuster is a client for the Bugzilla bug tracking system.
- It provides a variety of tools for querying, viewing, and manipulating bug
- reports.
- .
- This package is part of the KDE 4 Software Development Kit module.
+#Package: kbugbuster
+#Architecture: any
+#Section: devel
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Suggests: khelpcenter4
+#Description: Bugzilla client for KDE 4
+# KBugBuster is a client for the Bugzilla bug tracking system.
+# It provides a variety of tools for querying, viewing, and manipulating bug
+# reports.
+# .
+# This package is part of the KDE 4 Software Development Kit module.
 
 Package: kcachegrind
 Architecture: any
@@ -293,3 +293,4 @@
 
 Package: lokalize
 Architecture: any
+Section: devel
